liborigin 2.0.0

Classes | Macros | Functions
/tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginParser.h File Reference
`#include "OriginObj.h"`
`#include "tree.hh"`

Go to the source code of this file.

## Classes
class | OriginParser

## Macros
#define | LOG_PRINT(logfile, args...)

## Functions
OriginParser * | createOrigin600Parser (const string &fileName)
OriginParser * | createOrigin610Parser (const string &fileName)
OriginParser * | createOrigin700Parser (const string &fileName)
OriginParser * | createOrigin750Parser (const string &fileName)
OriginParser * | createOrigin800Parser (const string &fileName)
OriginParser * | createOrigin810Parser (const string &fileName)
OriginParser * | createOriginDefaultParser (const string &fileName)

## Macro Definition Documentation

## ◆ LOG_PRINT

#define LOG_PRINT | ( |  | logfile,
|  |  | args...
| ) |  |

Value:
{ \
int ioret= fprintf(logfile, args); \
assert(ioret>0); \
}

## Function Documentation

## ◆ createOrigin600Parser()

OriginParser * createOrigin600Parser | ( | const string & | fileName | ) |

Referenced by OriginFile::OriginFile().

## ◆ createOrigin610Parser()

OriginParser * createOrigin610Parser | ( | const string & | fileName | ) |

Referenced by OriginFile::OriginFile().

## ◆ createOrigin700Parser()

OriginParser * createOrigin700Parser | ( | const string & | fileName | ) |

Referenced by OriginFile::OriginFile().

## ◆ createOrigin750Parser()

OriginParser * createOrigin750Parser | ( | const string & | fileName | ) |

Referenced by OriginFile::OriginFile().

## ◆ createOrigin800Parser()

OriginParser * createOrigin800Parser | ( | const string & | fileName | ) |

Referenced by OriginFile::OriginFile().

## ◆ createOrigin810Parser()

OriginParser * createOrigin810Parser | ( | const string & | fileName | ) |

Referenced by OriginFile::OriginFile().

## ◆ createOriginDefaultParser()

OriginParser * createOriginDefaultParser | ( | const string & | fileName | ) |

Referenced by OriginFile::OriginFile().